LibreOffice: TableDescriptor Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | Public Attributes | List of all members
TableDescriptor Service Referencepublished

is used to define a table of a database. More...

Inheritance diagram for TableDescriptor:

## Included Services
service | Descriptor

## Exported Interfaces
interface | XColumnsSupplier
| access to the contained table columns.
interface | XKeysSupplier
| optional, provides the access to the table keys.
Exported Interfaces inherited from Descriptor
interface | com::sun::star::beans::XPropertySet

## Public Attributes
string | CatalogName
| is the name of the table catalog.
string | SchemaName
| is the name of the table schema.
string | Description
| supplies a comment on the table, Could be empty if not supported by the driver.
Public Attributes inherited from Descriptor
string | Name
| is the name for the object to create.

## Additional Inherited Members
Public Member Functions inherited from XColumnsSupplier
com::sun::star::container::XNameAccess | getColumns ()
| returns the container of columns.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XKeysSupplier
com::sun::star::container::XIndexAccess | getKeys ()
| returns the container of keys.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Attributes inherited from Descriptor
string | Name
| is the name for the object to create.

## Detailed Description

is used to define a table of a database.

A table is described by its name and one or more columns and the keys for semantic rules.

In addition, it may contain keys, and to define semantic rules for the table. Note: Indexes can only be appended when the table is already appended at the database.

See also
  com::sun::star::sdbcx::Table

## Exported Interfaces

## ◆ Descriptor

service Descriptor

## Exported Interfaces

## ◆ XColumnsSupplier

interface XColumnsSupplier

access to the contained table columns.

## ◆ XKeysSupplier

interface XKeysSupplier
| optional

optional, provides the access to the table keys.

## Member Data Documentation

## ◆ CatalogName

string CatalogName
| property

is the name of the table catalog.

## ◆ Description

string Description
| property

supplies a comment on the table, Could be empty if not supported by the driver.

## ◆ SchemaName

string SchemaName
| property

is the name of the table schema.

The documentation for this service was generated from the following file:

- com/sun/star/sdbcx/TableDescriptor.idl